Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LogStream

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LogStream

Direct Known Subclasses:
  `TdApi.LogStreamDefault`, `TdApi.LogStreamEmpty`, `TdApi.LogStreamFile`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.LogStream extends TdApi.Object permits TdApi.LogStreamDefault, TdApi.LogStreamFile, TdApi.LogStreamEmpty
This class is an abstract base class. Describes a stream to which TDLib internal log is written.

## Constructor Summary

Constructors
Constructor
Description
`LogStream()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LogStream

public LogStream()
Default class constructor.